Pular para o conteúdo principal
GET
/
v1
/
recurrences
/
payer
/
authorization-requests
/
{id}
Obter uma solicitação de autorização do Pix Automático
curl --request GET \
  --url https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Account-Id: <x-account-id>'
import requests

url = "https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests/{id}"

headers = {
    "X-Account-Id": "<x-account-id>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'X-Account-Id': '<x-account-id>', Authorization: 'Bearer <token>'}
};

fetch('https://plugin-pix-indirect.api.lerian.net/v1/recurrences/payer/authorization-requests/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "acceptedMaxAmount": "500.00",
  "accountId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "amount": {
    "fixed": "29.90",
    "max": "500.00",
    "min": "10.00"
  },
  "approvingAt": "2023-11-07T05:31:56Z",
  "cancellationCode": "ACCL",
  "cancellationRequester": "PSP_PAYEE",
  "cancelledAt": "2023-11-07T05:31:56Z",
  "confirmedAt": "2023-11-07T05:31:56Z",
  "createdAt": "2023-11-07T05:31:56Z",
  "description": "Streaming subscription",
  "destination": {
    "account": "123456",
    "accountType": "CACC",
    "bank": "30306294",
    "branch": "0001",
    "document": "12345678000199",
    "key": "contato@streaming.co",
    "name": "Streaming Co",
    "personType": "LEGAL_PERSON"
  },
  "expiredAt": "2023-11-07T05:31:56Z",
  "externalRequestId": "RREC-2026-04-001",
  "firstChargeId": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "id": "019cf6ef-e418-7ced-80c0-7b9816faa798",
  "journey": "J1",
  "payeeRejectionCode": "MD20",
  "payeeRejectionDescription": "<string>",
  "periodicity": {
    "customDays": 30,
    "type": "MONTHLY"
  },
  "rejectedAt": "2023-11-07T05:31:56Z",
  "replyFailedAt": "2023-11-07T05:31:56Z",
  "replyFailureReason": "<string>",
  "retryPolicy": "RETRY_3X_7D",
  "status": "PENDING",
  "updatedAt": "2023-11-07T05:31:56Z",
  "validUntil": "2026-06-30T23:59:59Z"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}
{
  "code": "<string>",
  "title": "<string>",
  "message": "<string>"
}

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cabeçalhos

X-Account-Id
string
obrigatório

Identificador único da Conta do Ledger Midaz (formato UUID).

Parâmetros de caminho

id
string
obrigatório

ID da solicitação de autorização (formato UUID)

Resposta

OK

acceptedMaxAmount
string
Exemplo:

"500.00"

accountId
string
Exemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

amount
object
approvingAt
string<date-time>
cancellationCode
string
Exemplo:

"ACCL"

cancellationRequester
string
Exemplo:

"PSP_PAYEE"

cancelledAt
string<date-time>
confirmedAt
string<date-time>
createdAt
string<date-time>
description
string
Exemplo:

"Streaming subscription"

destination
object
expiredAt
string<date-time>
externalRequestId
string
Exemplo:

"RREC-2026-04-001"

firstChargeId
string
Exemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

id
string
Exemplo:

"019cf6ef-e418-7ced-80c0-7b9816faa798"

journey
string
Exemplo:

"J1"

payeeRejectionCode
string
Exemplo:

"MD20"

payeeRejectionDescription
string
periodicity
object
rejectedAt
string<date-time>
replyFailedAt
string<date-time>
replyFailureReason
string
retryPolicy
string
Exemplo:

"RETRY_3X_7D"

status
enum<string>
Opções disponíveis:
PENDING,
INITIATED,
APPROVING,
CONFIRMED,
REJECTED,
PAYMENT_FAILED,
REPLY_FAILED,
CANCELLED,
EXPIRED
Exemplo:

"PENDING"

updatedAt
string<date-time>
validUntil
string<date-time>
Exemplo:

"2026-06-30T23:59:59Z"